#!/usr/bin/perl -w
# cleanup script for zeusmp
# This script makes tar balls of the extra input and output
# files (NOT the hdf dumps).
# This is very specific to my stuff, but can easily be modified
# to fit other situations
# John C. Vernaleo (vernaleo@astro.umd.edu)
# initially added 11/25/2003
# last modified 04/22/2005


my $run="osc-cluster";

my $output=$run."_output";
my $input=$run."_input";

mkdir "$input", 0755 or die "Cannot make directory: $!";
mkdir "$output", 0755 or die "Cannot make directory: $!";

my @input=qw/cleanup_mp.pl lamhosts mpiwrap.pl zeusmp.x zmp_inp zmp_pp.x/;

for($i=0;$i<=$#input;$i++)
{
    system "mv", "$input[$i]", "$input";
}

my @logs=glob "zeusmp.x_output.txt*";
my @ts=glob "tsl*";
my @zmplogs=glob "zmp_log*";
my @output=qw/mpioutput.txt/;
push @output,@logs;
push @output,@ts;
push @output,@zmplogs;

for($i=0;$i<=$#output;$i++)
{
    system "mv", "$output[$i]", "$output";
}

my $tarfile1=$run."_output.tar.gz";
my $tarfile2=$run.".tar.gz";

system "tar --remove-files -cvzf $tarfile1 $output";
system "tar --remove-files -cvzf $tarfile2 $input";
rmdir $output;
rmdir $input;
