#include "zeusmp.def"

C JCV - 4/21/05

c=======================================================================
c
c    \\\\\\\\\\      B E G I N   S U B R O U T I N E      //////////
c    //////////                R T                        \\\\\\\\\\
c
c=======================================================================
c
       subroutine rt

       implicit NONE
#include "mod_names.h"
#include "param.h"
#include "field.h"
#include "bndry.h"
#include "grid.h"
#include "root.h"
#include "scratch.h"
#include "mpicom.h"

       integer i,j,k

       if(myid.eq.0)then
          write(6,"(10x,'MYPROB  : Initialisation commencing')")
       endif
c
c
      do k=ks-2,ke+2
         do j=js-2,je+2
            do i=is-2,ie+2
               e(i,j,k)=1.0
               v1(i,j,k)=0.0
               v2(i,j,k)=0.0
               v3(i,j,k)=0.0
               gp(i,j,k)=-0.1
               d(i,j,k)=2.0
               if(x1a(j).le.0.5)then
                  d(i,j,k)=1.0
               endif
            enddo
         enddo
      enddo

c set some perturbations on boundary
      j=50
      do k=ks-2,ke+2
         do i=is-2,ie+2
            d(i,j,k)=d(i,j,k)+0.1*sin(x1a(i)*50.0)
         enddo
      enddo

c       call bndyflgs


       return
       end

